libopenmpi_2_1_6-gnu-hpc-2.1.6-3.1.i586.rpm


Advertisement

Description

libopenmpi_2_1_6-gnu-hpc - OpenMPI runtime libraries for OpenMPI HPC version 2.1.6

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libopenmpi_2_1_6-gnu-hpc-2.1.6-3.1.i586.rpm
Package name libopenmpi_2_1_6-gnu-hpc
Package version 2.1.6
Package release 3.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.open-mpi.org/
License BSD-3-Clause
Maintainer -
Download size 1.92 MB
Installed size 6.71 MB
OpenMPI is an implementation of the Message Passing Interface, a
standardized API typically used for parallel and/or distributed
computing. OpenMPI is the merged result of four prior implementations
where the team found for them to excel in one or more areas,
such as latency or throughput.
OpenMPI also includes an implementation of the OpenSHMEM parallel
programming API, which is a Partitioned Global Address Space (PGAS)
abstraction layer providing inter-process communication using
one-sided communication techniques.
This subpackage provides the OpenMPI shared libraries.

Alternatives

Package Version Architecture Repository
libopenmpi_2_1_6-gnu-hpc-2.1.6-3.1.x86_64.rpm 2.1.6 x86_64 openSUSE Oss
libopenmpi_2_1_6-gnu-hpc - - -

Requires

Name Value
/sbin/ldconfig -
gnu-compilers-hpc -
libc.so.6(GLIBC_2.28) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libfabric.so.1 -
libfabric.so.1(FABRIC_1.0) -
libfabric.so.1(FABRIC_1.1) -
libfabric.so.1(FABRIC_1.2) -
libibverbs.so.1 -
libibverbs.so.1(IBVERBS_1.0) -
libibverbs.so.1(IBVERBS_1.1) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.29) -
libpsm_infinipath.so.1 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.1.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
libpthread.so.0(GLIBC_2.3.4) -
librdmacm.so.1 -
librdmacm.so.1(RDMACM_1.0) -
librt.so.1 -
librt.so.1(GLIBC_2.1) -
librt.so.1(GLIBC_2.2) -
libutil.so.1 -
libutil.so.1(GLIBC_2.0) -
lua-lmod -
openmpi_2_1_6-gnu-hpc = 2.1.6

Provides

Name Value
libopenmpi_2_1_6-gnu-hpc = 2.1.6-3.1
libopenmpi_2_1_6-gnu-hpc(x86-32) = 2.1.6-3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libopenmpi_2_1_6-gnu-hpc-2.1.6-3.1.i586.rpm
Source Package openmpi_2_1_6-gnu-hpc-2.1.6-3.1.src.rpm

Install Howto

Install libopenmpi_2_1_6-gnu-hpc rpm package:

# zypper install libopenmpi_2_1_6-gnu-hpc

Files

Path
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi.so.20
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi.so.20.10.3
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_mpifh.so.20
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_mpifh.so.20.12.1
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempi_ignore_tkr.so.20
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempi_ignore_tkr.so.20.11.1
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempif08.so.20
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempif08.so.20.11.1
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libompitrace.so.20
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libompitrace.so.20.10.0
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-pal.so.20
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-pal.so.20.10.5
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-rte.so.20
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-rte.so.20.10.5
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/liboshmem.so.20
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/liboshmem.so.20.10.3
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/openmpi/libompi_dbg_msgq.so

Changelog

2019-04-23 - Nicolas Morey-Chaisemartin <nmoreychaisemartin@suse.com>
- Fix bad INCLUDE path in module (bsc#1132949)
2019-04-01 - Nicolas Morey-Chaisemartin <nmoreychaisemartin@suse.com>
- Add add-gen-p5-chip-pci-id-to-ini-file.patch:
- Adds support for Broadcom 57500 adapters (bsc#1125651)
2019-02-14 - nmoreychaisemartin@suse.com
- Update to openmpi 2.1.6 (bsc#1094689)
- Many bug fixes. See NEWS for a complete list
2018-11-27 - Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to make package build reproducible
(boo#1047218, boo#1041090, boo#1084909)
2018-11-18 - eich@suse.com
- Add macro _hpc_openmpi_modules for modules support (bsc#1116458).
2018-10-15 - nmoreychaisemartin@suse.com
- Update to openmpi 2.1.5 (fate#326157)
- Many bug fixes. See NEWS for a complete list
- Drop openmpi2-add-HCAs-to-mca-ini.patch as it was
merged upstream.
2018-09-10 - nmoreychaisemartin@suse.com
- Remove bashism in preun scriptlet
2018-09-05 - nmoreychaisemartin@suse.com
- Fix handling of mpi-selector during updates (bsc#1098653)
2018-08-19 - eich@suse.com
- macros.hpc-openmpi2:
replace %%compiler_family by %%hpc_compiler_family
2018-06-07 - jjolly@suse.com
- Updated openmpi2-add-HCAs-to-mca-ini.patch
* Adds Broadcom BCM57414 NetXtreme-E RDMA Ethernet Controller (bsc#1094689)

See Also

Package Description
libopenmpi_3_1_4-gnu-hpc-3.1.4-2.1.i586.rpm OpenMPI runtime libraries for OpenMPI HPC version 3.1.4
libopenmpi_3_1_4-gnu-hpc-3.1.4-2.1.x86_64.rpm OpenMPI runtime libraries for OpenMPI HPC version 3.1.4
libopenmpt-devel-0.4.4-1.1.i586.rpm Development files for libopenmpt
libopenmpt-devel-0.4.4-1.1.x86_64.rpm Development files for libopenmpt
libopenmpt0-0.4.4-1.1.i586.rpm Library to operate with module formats using the openmpt API
libopenmpt0-0.4.4-1.1.x86_64.rpm Library to operate with module formats using the openmpt API
libopenmpt0-32bit-0.4.4-1.1.x86_64.rpm Library to operate with module formats using the openmpt API
libopenmpt_modplug1-0.4.4-1.1.i586.rpm Modplug wrapper for a library to operate with module formats
libopenmpt_modplug1-0.4.4-1.1.x86_64.rpm Modplug wrapper for a library to operate with module formats
libopenmpt_modplug1-32bit-0.4.4-1.1.x86_64.rpm Modplug wrapper for a library to operate with module formats
libopenobex2-1.7.2-2.7.i586.rpm Open Source Implementation of the Object Exchange (OBEX) Protocol
libopenobex2-1.7.2-2.7.x86_64.rpm Open Source Implementation of the Object Exchange (OBEX) Protocol
libopenraw-devel-0.0.9-16.5.i586.rpm A library to decode digital camera RAW files
libopenraw-devel-0.0.9-16.5.x86_64.rpm A library to decode digital camera RAW files
libopenraw1-0.0.9-16.5.i586.rpm A library to decode digital camera RAW files
Advertisement
Advertisement